﻿using System;
using System.Collections.Generic;
using System.Globalization;
using FreshMVVMSFDataGrid.Model;
using Syncfusion.XForms.Buttons;
using Xamarin.Forms;

namespace FreshMVVMSFDataGrid.Convert
{
	public class StateChangedConverter : IValueConverter
	{
		public object Convert (object value, Type targetType, object parameter, CultureInfo culture)
		{
		    StateChangedEventArgs eventArgs = value as StateChangedEventArgs;
            Dictionary<string,string> stateChangedResult = new Dictionary<string, string>();
            
		    if (eventArgs != null && parameter != null)
		    {
		        CheckBoxState state = CheckBoxState.Undefined;
		        if (eventArgs.IsChecked.HasValue && eventArgs.IsChecked.Value)
		        {
		            state = CheckBoxState.Checked;
		        }
		        else if (eventArgs.IsChecked.HasValue && !eventArgs.IsChecked.Value)
		        {
		            state = CheckBoxState.Unchecked;
		        }

		        stateChangedResult.Add("ControlName", parameter.ToString());
		        stateChangedResult.Add("State", state.ToString());

            }

            return stateChangedResult;
		}

        public object ConvertBack (object value, Type targetType, object parameter, CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}

